# Penalty Metrics

## Contents

* [Penalty Amounts](#penaltyntv)

## Penalty Amounts <a href="#penaltyntv" id="penaltyntv"></a>

### Definition

Amount of tokens taken as penalty from Validators in native units.

| Name            | MetricID   | Unit         | Interval      |
| --------------- | ---------- | ------------ | ------------- |
| Penalty Amounts | PenaltyNtv | Native Units | 1 day, 1 hour |

### Asset Specific Details

* This metric is available for Ethereum only under the ETH\_CL ticker. The definition of penalties follows that of Ethereum as outlined here: <https://ethereum.org/en/developers/docs/consensus-mechanisms/pos/rewards-and-penalties/#penalties>

### Release History

* Released November 2023.

### Availability for Assets

{% embed url="<https://coverage.coinmetrics.io/asset-metrics/PenaltyNTV>" %}

## API Endpoints

Flows metrics can be accessed using these endpoints:

* `timeseries/asset-metrics`

and by passing in the metric ID's `PenaltyNtv` in the `metrics` parameter.

{% openapi src="/files/kc3C7O6zTLYNBA0AcsZt" path="/timeseries/asset-metrics" method="get" %}
[openapi.yaml](https://2398817338-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MO23j33wWGzm0NrZseN%2Fuploads%2Fgit-blob-a236d0d04b3b155748ce07a17aca8108fce9b7c2%2Fopenapi.yaml?alt=media)
{% endopenapi %}

{% tabs %}
{% tab title="Shell" %}

```shell
curl --compressed "https://api.coinmetrics.io/v4/timeseries/asset-metrics?metrics=PenaltyNtv&assets=eth_cl&frequency=1h&pretty=true&api_key=<your_key>"
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
response = requests.get('https://api.coinmetrics.io/v4/timeseries/asset-metrics?metrics=PenaltyNtv&assets=eth_cl&frequency=1h&pretty=true&api_key=<your_key>').json()
print(response)
```

{% endtab %}

{% tab title="Python Client" %}

```python
from coinmetrics.api_client import CoinMetricsClient

api_key = "<API_KEY>"
client = CoinMetricsClient(api_key)

print(
    client.get_asset_metrics(
        metrics="PenaltyNtv", 
        assets="eth_cl",
    ).to_dataframe()
)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/network-data/network-data-overview/staking/penalty-metrics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
